2004年11月18日

[debian-users:41988] Re: apache2+php4でlibphp4.soが読み込めない


 Nary_Kato 改め Shigeru_Katoです。

 表記件名の迅速なレスありがとうございます。
 SATOH Fumiyasu様、Yoshiiro Tsumori様、Hideki Yamane様

 ご指摘の通り、"apt-get install libapache2"を行いapacheをリスタートしたとこ
ろ、それだけでPHPが動作しました。ありがとうございました。httpd.confにも、
"LoadModule php4_module /usr/lib/apache2/modules/libphp4.so"と記入しなくて
も、PHPがつかえました。むしろ、書き込めば、既に読み込んでいるのでスキップす

ると注意を受けます。

 さて、なぜこの様なことに陥ったかと言いますと"apt-get install php4"の後に、
 LoadModule php4_module /usr/lib/apache2/modules/libphp4.so
として、apacheをrestartしたところ、そんなファイルはないと怒られました。
 そこで、findをかけて、捜すと/usr/lib/apache/1.3/にあるというわけです。なぜ
このディレクトリがあるのかはよくわかりません。そこで、同じファイル名ならと、
使ってみたわけです。
 apt-get install apache-utilsを実行した形跡もあるし、そのときにでもそのディ
レクトリとファイルができたのだと思います。

 debianは、aptが非常に便利です。しかし、たとえばapacheにしても、コンパイル
オプションがどうなってインストールされているのか、設定ファイル同士の関係はど
うなっているのかが、わからないです。今回もPHPを動かすにはどのようなファイル
やモジュールが必要で、そのために、どのようなパッケージをインストールするのか
の情報jが探せませんでした。
 私は、redhatからplamoへ、それからdebianへ移動しました。plamoもいちいちのコ
ンパイルは面倒でしたが、自分なりに諸設定を決めることができ、自分で作っている
楽しさがありました。debianでも、コンパイルオプションやパッケージなどについて
のこのような情報があれば、もっとわかりやすいと思います。
 どこを捜したらよいのでしょう。

 Shigeru_Kato

投稿者 xml-rpc : 2004年11月18日 00:13
役に立ちました?:
過去のフィードバック 平均:(0) 総合:(0) 投票回数:(0)
本記事へのTrackback: http://hoop.euqset.org/blog/mt-tb2006.cgi/27925
トラックバック
コメント
コメントする




画像の中に見える文字を入力してください。